home chevron_right Documentation chevron_right Directives
fusePerfectScrollbar

`fusePerfectScrollbar` is an Angular directive for the Perfect Scrollbar library.

Usage

<div fusePerfectScrollbar>

<div [fusePerfectScrollbar]="false" [fusePerfectScrollbarOptions]="{'updateOnRouteChange': true}">

Inputs

`fusePerfectScrollbar` Accepts an optional boolean which you can control the Perfect Scrollbar. If provided false, Perfect Scrollbar will be destroyed or won't be initialized.

`fusePerfectScrollbarOptions` Accepts the Perfect Scrollbar options. In addition to those options, there is also a custom updateOnRouteChange option which updates the scrollbar on route changes. That's useful if your scrollbar wraps a router-outlet.